<!DOCTYPE composition PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" 
                      "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<ui:composition xmlns="http://www.w3.org/1999/xhtml"
	xmlns:ui="http://java.sun.com/jsf/facelets"
	xmlns:h="http://java.sun.com/jsf/html"
	xmlns:p="http://primefaces.org/ui"
	xmlns:f="http://java.sun.com/jsf/core" 
	xmlns:pe="http://primefaces.org/ui/extensions">
    	
    	<style type="text/css">                                               
	        .ui-widget, .ui-widget .ui-widget {
	                font-size:12px !important;
	        }
	        
	        .logosHeaders.ui-panelgrid>*>tr,
			.logosHeaders.ui-panelgrid .ui-panelgrid-cell {
    			border: none;
			}
	        
        </style>
     
     <p:panelGrid columns="1" style="width:100% !important; overflow:hidden">
    	<p:panelGrid columns="2" style="width:100%;border:none" styleClass="logosHeaders">
		    		<p:graphicImage name="images/unicef.png" style="padding-left:160px;width:250px"></p:graphicImage>
		    		<p:graphicImage name="images/run.png" style="width:150px" />
    	</p:panelGrid>
    	<p:menubar style="border:hidden">
    	<f:facet name="options" >
    	<h:panelGrid columns="8" >
    		<h:form>
    			<p:commandButton action="home" id="home" icon="ui-icon ui-icon-home" title="Home" ajax="false"/>
				<input type="hidden" name="${_csrf.parameterName}" value="${_csrf.token}"/>
			</h:form>    			
	    	<p:column styleClass="separador">
		    	<span style="ui-separator">
	                <span class="ui-icon ui-icon-grip-dotted-vertical" />
	            </span>
            </p:column>
	    	<span class="ui-icon ui-icon-person" />
	    	<p:outputLabel  value="Usuario: #{request.remoteUser}" style="float:left" />
	    	<p:column styleClass="separador">
		    	<span style="ui-separator">
	                <span class="ui-icon ui-icon-grip-dotted-vertical" />
	            </span>
            </p:column>
		      <form action="${request.contextPath}/j_spring_security_logout" method="post">
		        <button class="ui-button ui-widget ui-state-default ui-corner-all ui-button-text-only" type="submit" role="button" aria-disabled="false"><span class="ui-button-text ui-c">Cerrar Sesión</span></button>
		        <input type="hidden" name="${_csrf.parameterName}" value="${_csrf.token}"/>		
		      </form> 
      	</h:panelGrid>
      	</f:facet>
   		</p:menubar>
    	<h:form id="header-form">
	    	<p:growl id="messages" showSummary="true" autoUpdate="true"/>
    		<input type="hidden" name="${_csrf.parameterName}" value="${_csrf.token}"/>
    	</h:form>
	</p:panelGrid>
</ui:composition>
